# Uses of Interface
org.springframework.test.web.servlet.request.RequestPostProcessor

Packages that use RequestPostProcessor
Package
Description
org.springframework.test.web.servlet.client
Support for testing Spring MVC applications via `WebTestClient` with `MockMvc` for server request handling.
org.springframework.test.web.servlet.request
Contains built-in `RequestBuilder` implementations.
org.springframework.test.web.servlet.setup
Contains built-in `MockMvcBuilder` implementations.

## Uses of RequestPostProcessor in org.springframework.test.web.servlet.client

Method parameters in org.springframework.test.web.servlet.client with type arguments of type RequestPostProcessor
Modifier and Type
Method
Description
`MockMvcHttpConnector`
MockMvcHttpConnector.`with(List<RequestPostProcessor> postProcessors)`
Create a new instance that applies the given `RequestPostProcessor`s to performed requests.

## Uses of RequestPostProcessor in org.springframework.test.web.servlet.request

Methods in org.springframework.test.web.servlet.request with parameters of type RequestPostProcessor
Modifier and Type
Method
Description
`B`
AbstractMockHttpServletRequestBuilder.`with(RequestPostProcessor postProcessor)`
An extension point for further initialization of `MockHttpServletRequest` in ways not built directly into the `MockHttpServletRequestBuilder`.
`B`
ConfigurableSmartRequestBuilder.`with(RequestPostProcessor requestPostProcessor)`
Add the given `RequestPostProcessor`.
`MockHttpServletRequestBuilder`
MockHttpServletRequestBuilder.`with(RequestPostProcessor postProcessor)`

## Uses of RequestPostProcessor in org.springframework.test.web.servlet.setup

Methods in org.springframework.test.web.servlet.setup that return RequestPostProcessor
Modifier and Type
Method
Description
`default RequestPostProcessor`
MockMvcConfigurer.`beforeMockMvcCreated(ConfigurableMockMvcBuilder<?> builder, org.springframework.web.context.WebApplicationContext context)`
Invoked when the MockMvc instance is about to be created with the MockMvc builder and the Spring WebApplicationContext that will be passed to the `DispatcherServlet`.
`RequestPostProcessor`
MockMvcConfigurerAdapter.`beforeMockMvcCreated(ConfigurableMockMvcBuilder<?> builder, org.springframework.web.context.WebApplicationContext cxt)`
`RequestPostProcessor`
SharedHttpSessionConfigurer.`beforeMockMvcCreated(ConfigurableMockMvcBuilder<?> builder, org.springframework.web.context.WebApplicationContext context)`